// ==============================================================
// File generated by Vivado(TM) HLS - High-Level Synthesis from C, C++ and SystemC
// Version: 2016.1
// Copyright (C) 1986-2016 Xilinx, Inc. All Rights Reserved.
//
// ==============================================================

/***************************** Include Files *********************************/
#include "xv_pt3190.h"

/************************** Function Implementation *************************/
#ifndef __linux__
int XV_pt3190_CfgInitialize(XV_pt3190 *InstancePtr, XV_pt3190_Config *ConfigPtr) {
    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(ConfigPtr != NULL);

    InstancePtr->Ctrl_BaseAddress = ConfigPtr->Ctrl_BaseAddress;
    InstancePtr->IsReady = XIL_COMPONENT_IS_READY;

    return XST_SUCCESS;
}
#endif

void XV_pt3190_PcktCfg (XV_pt3190 *InstancePtr) {
    volatile XV_pt3190_PcktInfo PcktInfo;
    volatile XV_pt3190_AudSrcInfo AudSrcInfo;

    volatile u32 RegValue = 0;

    PcktInfo = InstancePtr->PcktInfo;
    AudSrcInfo = InstancePtr->AudStream;

    //Get Packet Length
    RegValue = ((AudSrcInfo.AudioSmpWrdLen) *
                (AudSrcInfo.AudioChannels)  *
                (PcktInfo.AudSampPerPckt)) / 8;

    //Update to data structure
    InstancePtr->PcktInfo.PayloadLen = RegValue;

    //Configure Audio Channels
    XV_pt3190_Set_HwReg_audio_channels_V(InstancePtr,
            AudSrcInfo.AudioChannels);

    //Configure Audio Samples Per Packet
    XV_pt3190_Set_HwReg_num_samples_V(InstancePtr,
            PcktInfo.AudSampPerPckt);

    //Configure Channel Number
    XV_pt3190_Set_HwReg_channel_number_V(InstancePtr,
            PcktInfo.ChannelNum);

    //Configure SSRC
    XV_pt3190_Set_HwReg_ssrc_V(InstancePtr,
            PcktInfo.SSRC);

    //Configure Payload Length
    XV_pt3190_Set_HwReg_payload_length_V(InstancePtr,
            RegValue);

    //Configure Dynamic Payload Type
    XV_pt3190_Set_HwReg_payload_type_V(InstancePtr,
            PcktInfo.DynamicPayloadType);
}

void XV_pt3190_Start(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertVoid(InstancePtr != NULL);
    Xil_AssertVoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_AP_CTRL) & 0x80;
    XV_pt3190_WriteReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_AP_CTRL, Data | 0x01);
}

u32 XV_pt3190_IsDone(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_AP_CTRL);
    return (Data >> 1) & 0x1;
}

u32 XV_pt3190_IsIdle(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_AP_CTRL);
    return (Data >> 2) & 0x1;
}

u32 XV_pt3190_IsReady(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_AP_CTRL);
    // check ap_start to see if the pcore is ready for next input
    return !(Data & 0x1);
}

void XV_pt3190_EnableAutoRestart(XV_pt3190 *InstancePtr) {
    Xil_AssertVoid(InstancePtr != NULL);
    Xil_AssertVoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    XV_pt3190_WriteReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_AP_CTRL, 0x80);
}

void XV_pt3190_DisableAutoRestart(XV_pt3190 *InstancePtr) {
    Xil_AssertVoid(InstancePtr != NULL);
    Xil_AssertVoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    XV_pt3190_WriteReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_AP_CTRL, 0);
}

void XV_pt3190_Set_HwReg_num_samples_V(XV_pt3190 *InstancePtr, u32 Data) {
    Xil_AssertVoid(InstancePtr != NULL);
    Xil_AssertVoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    XV_pt3190_WriteReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_NUM_SAMPLES_V_DATA, Data);
}

u32 XV_pt3190_Get_HwReg_num_samples_V(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_NUM_SAMPLES_V_DATA);
    return Data;
}

void XV_pt3190_Set_HwReg_audio_channels_V(XV_pt3190 *InstancePtr, u32 Data) {
    Xil_AssertVoid(InstancePtr != NULL);
    Xil_AssertVoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    XV_pt3190_WriteReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_AUDIO_CHANNELS_V_DATA, Data);
}

u32 XV_pt3190_Get_HwReg_audio_channels_V(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_AUDIO_CHANNELS_V_DATA);
    return Data;
}

void XV_pt3190_Set_HwReg_payload_length_V(XV_pt3190 *InstancePtr, u32 Data) {
    Xil_AssertVoid(InstancePtr != NULL);
    Xil_AssertVoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    XV_pt3190_WriteReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_PAYLOAD_LENGTH_V_DATA, Data);
}

u32 XV_pt3190_Get_HwReg_payload_length_V(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_PAYLOAD_LENGTH_V_DATA);
    return Data;
}

void XV_pt3190_Set_HwReg_channel_number_V(XV_pt3190 *InstancePtr, u32 Data) {
    Xil_AssertVoid(InstancePtr != NULL);
    Xil_AssertVoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    XV_pt3190_WriteReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_CHANNEL_NUMBER_V_DATA, Data);
}

u32 XV_pt3190_Get_HwReg_channel_number_V(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_CHANNEL_NUMBER_V_DATA);
    return Data;
}

void XV_pt3190_Set_HwReg_payload_type_V(XV_pt3190 *InstancePtr, u32 Data) {
    Xil_AssertVoid(InstancePtr != NULL);
    Xil_AssertVoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    XV_pt3190_WriteReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_PAYLOAD_TYPE_V_DATA, Data);
}

u32 XV_pt3190_Get_HwReg_payload_type_V(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_PAYLOAD_TYPE_V_DATA);
    return Data;
}

void XV_pt3190_Set_HwReg_ssrc_V(XV_pt3190 *InstancePtr, u32 Data) {
    Xil_AssertVoid(InstancePtr != NULL);
    Xil_AssertVoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    XV_pt3190_WriteReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_SSRC_V_DATA, Data);
}

u32 XV_pt3190_Get_HwReg_ssrc_V(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_SSRC_V_DATA);
    return Data;
}

u32 XV_pt3190_Get_HwReg_tx_pkt_cnt_V(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_TX_PKT_CNT_V_DATA);
    return Data;
}

u32 XV_pt3190_Get_HwReg_tx_pkt_cnt_V_vld(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_TX_PKT_CNT_V_CTRL);
    return Data & 0x1;
}

u32 XV_pt3190_Get_HwReg_C31_0_V(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_C31_0_V_DATA);
    return Data;
}

u32 XV_pt3190_Get_HwReg_C31_0_V_vld(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_C31_0_V_CTRL);
    return Data & 0x1;
}

u32 XV_pt3190_Get_HwReg_C63_32_V(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_C63_32_V_DATA);
    return Data;
}

u32 XV_pt3190_Get_HwReg_C63_32_V_vld(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_C63_32_V_CTRL);
    return Data & 0x1;
}

u32 XV_pt3190_Get_HwReg_C95_64_V(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_C95_64_V_DATA);
    return Data;
}

u32 XV_pt3190_Get_HwReg_C95_64_V_vld(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_C95_64_V_CTRL);
    return Data & 0x1;
}

u32 XV_pt3190_Get_HwReg_C127_96_V(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_C127_96_V_DATA);
    return Data;
}

u32 XV_pt3190_Get_HwReg_C127_96_V_vld(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_C127_96_V_CTRL);
    return Data & 0x1;
}

u32 XV_pt3190_Get_HwReg_C159_128_V(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_C159_128_V_DATA);
    return Data;
}

u32 XV_pt3190_Get_HwReg_C159_128_V_vld(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_C159_128_V_CTRL);
    return Data & 0x1;
}

u32 XV_pt3190_Get_HwReg_C191_160_V(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_C191_160_V_DATA);
    return Data;
}

u32 XV_pt3190_Get_HwReg_C191_160_V_vld(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_C191_160_V_CTRL);
    return Data & 0x1;
}

u32 XV_pt3190_Get_HwReg_U31_0_V(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_U31_0_V_DATA);
    return Data;
}

u32 XV_pt3190_Get_HwReg_U31_0_V_vld(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_U31_0_V_CTRL);
    return Data & 0x1;
}

u32 XV_pt3190_Get_HwReg_U63_32_V(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_U63_32_V_DATA);
    return Data;
}

u32 XV_pt3190_Get_HwReg_U63_32_V_vld(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_U63_32_V_CTRL);
    return Data & 0x1;
}

u32 XV_pt3190_Get_HwReg_U95_64_V(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_U95_64_V_DATA);
    return Data;
}

u32 XV_pt3190_Get_HwReg_U95_64_V_vld(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_U95_64_V_CTRL);
    return Data & 0x1;
}

u32 XV_pt3190_Get_HwReg_U127_96_V(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_U127_96_V_DATA);
    return Data;
}

u32 XV_pt3190_Get_HwReg_U127_96_V_vld(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_U127_96_V_CTRL);
    return Data & 0x1;
}

u32 XV_pt3190_Get_HwReg_U159_128_V(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_U159_128_V_DATA);
    return Data;
}

u32 XV_pt3190_Get_HwReg_U159_128_V_vld(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_U159_128_V_CTRL);
    return Data & 0x1;
}

u32 XV_pt3190_Get_HwReg_U191_160_V(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_U191_160_V_DATA);
    return Data;
}

u32 XV_pt3190_Get_HwReg_U191_160_V_vld(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_U191_160_V_CTRL);
    return Data & 0x1;
}

void XV_pt3190_Set_HwReg_reserved1_V(XV_pt3190 *InstancePtr, u32 Data) {
    Xil_AssertVoid(InstancePtr != NULL);
    Xil_AssertVoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    XV_pt3190_WriteReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_RESERVED1_V_DATA, Data);
}

u32 XV_pt3190_Get_HwReg_reserved1_V(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_RESERVED1_V_DATA);
    return Data;
}

void XV_pt3190_Set_HwReg_stat_reset_V(XV_pt3190 *InstancePtr, u32 Data) {
    Xil_AssertVoid(InstancePtr != NULL);
    Xil_AssertVoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    XV_pt3190_WriteReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_STAT_RESET_V_DATA, Data);
}

u32 XV_pt3190_Get_HwReg_stat_reset_V(XV_pt3190 *InstancePtr) {
    u32 Data;

    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Data = XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_HWREG_STAT_RESET_V_DATA);
    return Data;
}

void XV_pt3190_InterruptGlobalEnable(XV_pt3190 *InstancePtr) {
    Xil_AssertVoid(InstancePtr != NULL);
    Xil_AssertVoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    XV_pt3190_WriteReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_GIE, 1);
}

void XV_pt3190_InterruptGlobalDisable(XV_pt3190 *InstancePtr) {
    Xil_AssertVoid(InstancePtr != NULL);
    Xil_AssertVoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    XV_pt3190_WriteReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_GIE, 0);
}

void XV_pt3190_InterruptEnable(XV_pt3190 *InstancePtr, u32 Mask) {
    u32 Register;

    Xil_AssertVoid(InstancePtr != NULL);
    Xil_AssertVoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Register =  XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_IER);
    XV_pt3190_WriteReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_IER, Register | Mask);
}

void XV_pt3190_InterruptDisable(XV_pt3190 *InstancePtr, u32 Mask) {
    u32 Register;

    Xil_AssertVoid(InstancePtr != NULL);
    Xil_AssertVoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    Register =  XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_IER);
    XV_pt3190_WriteReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_IER, Register & (~Mask));
}

void XV_pt3190_InterruptClear(XV_pt3190 *InstancePtr, u32 Mask) {
    Xil_AssertVoid(InstancePtr != NULL);
    Xil_AssertVoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    XV_pt3190_WriteReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_ISR, Mask);
}

u32 XV_pt3190_InterruptGetEnabled(XV_pt3190 *InstancePtr) {
    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    return XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_IER);
}

u32 XV_pt3190_InterruptGetStatus(XV_pt3190 *InstancePtr) {
    Xil_AssertNonvoid(InstancePtr != NULL);
    Xil_AssertNonvoid(InstancePtr->IsReady == XIL_COMPONENT_IS_READY);

    return XV_pt3190_ReadReg(InstancePtr->Ctrl_BaseAddress, XV_PT3190_CTRL_ADDR_ISR);
}
