/******************************************************************************
*
* Copyright (C) 2015 Xilinx, Inc.  All rights reserved.
*
* Permission is hereby granted, free of charge, to any person obtaining a copy
* of this software and associated documentation files (the "Software"), to deal
* in the Software without restriction, including without limitation the rights
* to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
* copies of the Software, and to permit persons to whom the Software is
* furnished to do so, subject to the following conditions:
*
* The above copyright notice and this permission notice shall be included in
* all copies or substantial portions of the Software.
*
* Use of the Software is limited solely to applications:
* (a) running on a Xilinx device, or
* (b) that interact with a Xilinx device through a bus or interconnect.
*
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
* IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
* FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
* XILINX  BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
* WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
* OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
* SOFTWARE.
*
* Except as contained in this notice, the name of the Xilinx shall not be used
* in advertising or otherwise to promote the sale, use or other dealings in
* this Software without prior written authorization from Xilinx.
*
******************************************************************************/

#ifndef _PM_RPU_H_
#define _PM_RPU_H_

#ifdef __cplusplus
extern "C" {
#endif

/**
 * RPU Base Address
 */
#define RPU_BASEADDR      0XFF9A0000

/**
 * Register: RPU_RPU_GLBL_CNTL
 */
#define RPU_RPU_GLBL_CNTL    ( ( RPU_BASEADDR ) + 0X00000000 )

#define RPU_RPU_GLBL_CNTL_GIC_AXPROT_SHIFT   10
#define RPU_RPU_GLBL_CNTL_GIC_AXPROT_WIDTH   1
#define RPU_RPU_GLBL_CNTL_GIC_AXPROT_MASK    0X00000400

#define RPU_RPU_GLBL_CNTL_TCM_CLK_CNTL_SHIFT   8
#define RPU_RPU_GLBL_CNTL_TCM_CLK_CNTL_WIDTH   1
#define RPU_RPU_GLBL_CNTL_TCM_CLK_CNTL_MASK    0X00000100

#define RPU_RPU_GLBL_CNTL_TCM_WAIT_SHIFT   7
#define RPU_RPU_GLBL_CNTL_TCM_WAIT_WIDTH   1
#define RPU_RPU_GLBL_CNTL_TCM_WAIT_MASK    0X00000080

#define RPU_RPU_GLBL_CNTL_TCM_COMB_SHIFT   6
#define RPU_RPU_GLBL_CNTL_TCM_COMB_WIDTH   1
#define RPU_RPU_GLBL_CNTL_TCM_COMB_MASK    0X00000040

#define RPU_RPU_GLBL_CNTL_TEINIT_SHIFT   5
#define RPU_RPU_GLBL_CNTL_TEINIT_WIDTH   1
#define RPU_RPU_GLBL_CNTL_TEINIT_MASK    0X00000020

#define RPU_RPU_GLBL_CNTL_SLCLAMP_SHIFT   4
#define RPU_RPU_GLBL_CNTL_SLCLAMP_WIDTH   1
#define RPU_RPU_GLBL_CNTL_SLCLAMP_MASK    0X00000010

#define RPU_RPU_GLBL_CNTL_SLSPLIT_SHIFT   3
#define RPU_RPU_GLBL_CNTL_SLSPLIT_WIDTH   1
#define RPU_RPU_GLBL_CNTL_SLSPLIT_MASK    0X00000008

#define RPU_RPU_GLBL_CNTL_DBGNOCLKSTOP_SHIFT   2
#define RPU_RPU_GLBL_CNTL_DBGNOCLKSTOP_WIDTH   1
#define RPU_RPU_GLBL_CNTL_DBGNOCLKSTOP_MASK    0X00000004

#define RPU_RPU_GLBL_CNTL_CFGIE_SHIFT   1
#define RPU_RPU_GLBL_CNTL_CFGIE_WIDTH   1
#define RPU_RPU_GLBL_CNTL_CFGIE_MASK    0X00000002

#define RPU_RPU_GLBL_CNTL_CFGEE_SHIFT   0
#define RPU_RPU_GLBL_CNTL_CFGEE_WIDTH   1
#define RPU_RPU_GLBL_CNTL_CFGEE_MASK    0X00000001

/**
 * Register: RPU_RPU_GLBL_STATUS
 */
#define RPU_RPU_GLBL_STATUS    ( ( RPU_BASEADDR ) + 0X00000004 )

#define RPU_RPU_GLBL_STATUS_DBGNOPWRDWN_SHIFT   0
#define RPU_RPU_GLBL_STATUS_DBGNOPWRDWN_WIDTH   1
#define RPU_RPU_GLBL_STATUS_DBGNOPWRDWN_MASK    0X00000001

/**
 * Register: RPU_RPU_ERR_CNTL
 */
#define RPU_RPU_ERR_CNTL    ( ( RPU_BASEADDR ) + 0X00000008 )

#define RPU_RPU_ERR_CNTL_APB_ERR_RES_SHIFT   0
#define RPU_RPU_ERR_CNTL_APB_ERR_RES_WIDTH   1
#define RPU_RPU_ERR_CNTL_APB_ERR_RES_MASK    0X00000001

/**
 * Register: RPU_RPU_RAM
 */
#define RPU_RPU_RAM    ( ( RPU_BASEADDR ) + 0X0000000C )

#define RPU_RPU_RAM_RAMCONTROL1_SHIFT   8
#define RPU_RPU_RAM_RAMCONTROL1_WIDTH   8
#define RPU_RPU_RAM_RAMCONTROL1_MASK    0X0000FF00

#define RPU_RPU_RAM_RAMCONTROL0_SHIFT   0
#define RPU_RPU_RAM_RAMCONTROL0_WIDTH   8
#define RPU_RPU_RAM_RAMCONTROL0_MASK    0X000000FF

/**
 * Register: RPU_RPU_CACHE_DATA
 */
#define RPU_RPU_CACHE_DATA    ( ( RPU_BASEADDR ) + 0X00000010 )

#define RPU_RPU_CACHE_DATA_DDIRTY_EMAS_SHIFT   29
#define RPU_RPU_CACHE_DATA_DDIRTY_EMAS_WIDTH   1
#define RPU_RPU_CACHE_DATA_DDIRTY_EMAS_MASK    0X20000000

#define RPU_RPU_CACHE_DATA_DDIRTY_EMAW_SHIFT   27
#define RPU_RPU_CACHE_DATA_DDIRTY_EMAW_WIDTH   2
#define RPU_RPU_CACHE_DATA_DDIRTY_EMAW_MASK    0X18000000

#define RPU_RPU_CACHE_DATA_DDIRTY_EMA_SHIFT   24
#define RPU_RPU_CACHE_DATA_DDIRTY_EMA_WIDTH   3
#define RPU_RPU_CACHE_DATA_DDIRTY_EMA_MASK    0X07000000

#define RPU_RPU_CACHE_DATA_DTAG_EMAS_SHIFT   23
#define RPU_RPU_CACHE_DATA_DTAG_EMAS_WIDTH   1
#define RPU_RPU_CACHE_DATA_DTAG_EMAS_MASK    0X00800000

#define RPU_RPU_CACHE_DATA_DTAG_EMAW_SHIFT   21
#define RPU_RPU_CACHE_DATA_DTAG_EMAW_WIDTH   2
#define RPU_RPU_CACHE_DATA_DTAG_EMAW_MASK    0X00600000

#define RPU_RPU_CACHE_DATA_DTAG_EMA_SHIFT   18
#define RPU_RPU_CACHE_DATA_DTAG_EMA_WIDTH   3
#define RPU_RPU_CACHE_DATA_DTAG_EMA_MASK    0X001C0000

#define RPU_RPU_CACHE_DATA_DDATA_EMAS_SHIFT   17
#define RPU_RPU_CACHE_DATA_DDATA_EMAS_WIDTH   1
#define RPU_RPU_CACHE_DATA_DDATA_EMAS_MASK    0X00020000

#define RPU_RPU_CACHE_DATA_DDATA_EMAW_SHIFT   15
#define RPU_RPU_CACHE_DATA_DDATA_EMAW_WIDTH   2
#define RPU_RPU_CACHE_DATA_DDATA_EMAW_MASK    0X00018000

#define RPU_RPU_CACHE_DATA_DDATA_EMA_SHIFT   12
#define RPU_RPU_CACHE_DATA_DDATA_EMA_WIDTH   3
#define RPU_RPU_CACHE_DATA_DDATA_EMA_MASK    0X00007000

#define RPU_RPU_CACHE_DATA_ITAG_EMAS_SHIFT   11
#define RPU_RPU_CACHE_DATA_ITAG_EMAS_WIDTH   1
#define RPU_RPU_CACHE_DATA_ITAG_EMAS_MASK    0X00000800

#define RPU_RPU_CACHE_DATA_ITAG_EMAW_SHIFT   9
#define RPU_RPU_CACHE_DATA_ITAG_EMAW_WIDTH   2
#define RPU_RPU_CACHE_DATA_ITAG_EMAW_MASK    0X00000600

#define RPU_RPU_CACHE_DATA_ITAG_EMA_SHIFT   6
#define RPU_RPU_CACHE_DATA_ITAG_EMA_WIDTH   3
#define RPU_RPU_CACHE_DATA_ITAG_EMA_MASK    0X000001C0

#define RPU_RPU_CACHE_DATA_IDATA_EMAS_SHIFT   5
#define RPU_RPU_CACHE_DATA_IDATA_EMAS_WIDTH   1
#define RPU_RPU_CACHE_DATA_IDATA_EMAS_MASK    0X00000020

#define RPU_RPU_CACHE_DATA_IDATA_EMAW_SHIFT   3
#define RPU_RPU_CACHE_DATA_IDATA_EMAW_WIDTH   2
#define RPU_RPU_CACHE_DATA_IDATA_EMAW_MASK    0X00000018

#define RPU_RPU_CACHE_DATA_IDATA_EMA_SHIFT   0
#define RPU_RPU_CACHE_DATA_IDATA_EMA_WIDTH   3
#define RPU_RPU_CACHE_DATA_IDATA_EMA_MASK    0X00000007

/**
 * Register: RPU_RPU_CACHE_SYN
 */
#define RPU_RPU_CACHE_SYN    ( ( RPU_BASEADDR ) + 0X00000014 )

#define RPU_RPU_CACHE_SYN_DDIRTY_EMAS_SHIFT   29
#define RPU_RPU_CACHE_SYN_DDIRTY_EMAS_WIDTH   1
#define RPU_RPU_CACHE_SYN_DDIRTY_EMAS_MASK    0X20000000

#define RPU_RPU_CACHE_SYN_DDIRTY_EMAW_SHIFT   27
#define RPU_RPU_CACHE_SYN_DDIRTY_EMAW_WIDTH   2
#define RPU_RPU_CACHE_SYN_DDIRTY_EMAW_MASK    0X18000000

#define RPU_RPU_CACHE_SYN_DDIRTY_EMA_SHIFT   24
#define RPU_RPU_CACHE_SYN_DDIRTY_EMA_WIDTH   3
#define RPU_RPU_CACHE_SYN_DDIRTY_EMA_MASK    0X07000000

#define RPU_RPU_CACHE_SYN_DTAG_EMAS_SHIFT   23
#define RPU_RPU_CACHE_SYN_DTAG_EMAS_WIDTH   1
#define RPU_RPU_CACHE_SYN_DTAG_EMAS_MASK    0X00800000

#define RPU_RPU_CACHE_SYN_DTAG_EMAW_SHIFT   21
#define RPU_RPU_CACHE_SYN_DTAG_EMAW_WIDTH   2
#define RPU_RPU_CACHE_SYN_DTAG_EMAW_MASK    0X00600000

#define RPU_RPU_CACHE_SYN_DTAG_EMA_SHIFT   18
#define RPU_RPU_CACHE_SYN_DTAG_EMA_WIDTH   3
#define RPU_RPU_CACHE_SYN_DTAG_EMA_MASK    0X001C0000

#define RPU_RPU_CACHE_SYN_DDATA_EMAS_SHIFT   17
#define RPU_RPU_CACHE_SYN_DDATA_EMAS_WIDTH   1
#define RPU_RPU_CACHE_SYN_DDATA_EMAS_MASK    0X00020000

#define RPU_RPU_CACHE_SYN_DDATA_EMAW_SHIFT   15
#define RPU_RPU_CACHE_SYN_DDATA_EMAW_WIDTH   2
#define RPU_RPU_CACHE_SYN_DDATA_EMAW_MASK    0X00018000

#define RPU_RPU_CACHE_SYN_DDATA_EMA_SHIFT   12
#define RPU_RPU_CACHE_SYN_DDATA_EMA_WIDTH   3
#define RPU_RPU_CACHE_SYN_DDATA_EMA_MASK    0X00007000

#define RPU_RPU_CACHE_SYN_ITAG_EMAS_SHIFT   11
#define RPU_RPU_CACHE_SYN_ITAG_EMAS_WIDTH   1
#define RPU_RPU_CACHE_SYN_ITAG_EMAS_MASK    0X00000800

#define RPU_RPU_CACHE_SYN_ITAG_EMAW_SHIFT   9
#define RPU_RPU_CACHE_SYN_ITAG_EMAW_WIDTH   2
#define RPU_RPU_CACHE_SYN_ITAG_EMAW_MASK    0X00000600

#define RPU_RPU_CACHE_SYN_ITAG_EMA_SHIFT   6
#define RPU_RPU_CACHE_SYN_ITAG_EMA_WIDTH   3
#define RPU_RPU_CACHE_SYN_ITAG_EMA_MASK    0X000001C0

#define RPU_RPU_CACHE_SYN_IDATA_EMAS_SHIFT   5
#define RPU_RPU_CACHE_SYN_IDATA_EMAS_WIDTH   1
#define RPU_RPU_CACHE_SYN_IDATA_EMAS_MASK    0X00000020

#define RPU_RPU_CACHE_SYN_IDATA_EMAW_SHIFT   3
#define RPU_RPU_CACHE_SYN_IDATA_EMAW_WIDTH   2
#define RPU_RPU_CACHE_SYN_IDATA_EMAW_MASK    0X00000018

#define RPU_RPU_CACHE_SYN_IDATA_EMA_SHIFT   0
#define RPU_RPU_CACHE_SYN_IDATA_EMA_WIDTH   3
#define RPU_RPU_CACHE_SYN_IDATA_EMA_MASK    0X00000007

/**
 * Register: RPU_RPU_TCM_DATA
 */
#define RPU_RPU_TCM_DATA    ( ( RPU_BASEADDR ) + 0X00000018 )

#define RPU_RPU_TCM_DATA_B_EMAS_SHIFT   17
#define RPU_RPU_TCM_DATA_B_EMAS_WIDTH   1
#define RPU_RPU_TCM_DATA_B_EMAS_MASK    0X00020000

#define RPU_RPU_TCM_DATA_B_EMAW_SHIFT   15
#define RPU_RPU_TCM_DATA_B_EMAW_WIDTH   2
#define RPU_RPU_TCM_DATA_B_EMAW_MASK    0X00018000

#define RPU_RPU_TCM_DATA_B_EMA_SHIFT   12
#define RPU_RPU_TCM_DATA_B_EMA_WIDTH   3
#define RPU_RPU_TCM_DATA_B_EMA_MASK    0X00007000

#define RPU_RPU_TCM_DATA_A_EMAS_SHIFT   5
#define RPU_RPU_TCM_DATA_A_EMAS_WIDTH   1
#define RPU_RPU_TCM_DATA_A_EMAS_MASK    0X00000020

#define RPU_RPU_TCM_DATA_A_EMAW_SHIFT   3
#define RPU_RPU_TCM_DATA_A_EMAW_WIDTH   2
#define RPU_RPU_TCM_DATA_A_EMAW_MASK    0X00000018

#define RPU_RPU_TCM_DATA_A_EMA_SHIFT   0
#define RPU_RPU_TCM_DATA_A_EMA_WIDTH   3
#define RPU_RPU_TCM_DATA_A_EMA_MASK    0X00000007

/**
 * Register: RPU_RPU_TCM_SYN
 */
#define RPU_RPU_TCM_SYN    ( ( RPU_BASEADDR ) + 0X0000001C )

#define RPU_RPU_TCM_SYN_B_EMAS_SHIFT   23
#define RPU_RPU_TCM_SYN_B_EMAS_WIDTH   1
#define RPU_RPU_TCM_SYN_B_EMAS_MASK    0X00800000

#define RPU_RPU_TCM_SYN_B_EMAW_SHIFT   21
#define RPU_RPU_TCM_SYN_B_EMAW_WIDTH   2
#define RPU_RPU_TCM_SYN_B_EMAW_MASK    0X00600000

#define RPU_RPU_TCM_SYN_B_EMA_SHIFT   18
#define RPU_RPU_TCM_SYN_B_EMA_WIDTH   3
#define RPU_RPU_TCM_SYN_B_EMA_MASK    0X001C0000

#define RPU_RPU_TCM_SYN_A_EMAS_SHIFT   11
#define RPU_RPU_TCM_SYN_A_EMAS_WIDTH   1
#define RPU_RPU_TCM_SYN_A_EMAS_MASK    0X00000800

#define RPU_RPU_TCM_SYN_A_EMAW_SHIFT   9
#define RPU_RPU_TCM_SYN_A_EMAW_WIDTH   2
#define RPU_RPU_TCM_SYN_A_EMAW_MASK    0X00000600

#define RPU_RPU_TCM_SYN_A_EMA_SHIFT   6
#define RPU_RPU_TCM_SYN_A_EMA_WIDTH   3
#define RPU_RPU_TCM_SYN_A_EMA_MASK    0X000001C0

/**
 * Register: RPU_RPU_ERR_INJ
 */
#define RPU_RPU_ERR_INJ    ( ( RPU_BASEADDR ) + 0X00000020 )

#define RPU_RPU_ERR_INJ_DCCMINP2_SHIFT   8
#define RPU_RPU_ERR_INJ_DCCMINP2_WIDTH   8
#define RPU_RPU_ERR_INJ_DCCMINP2_MASK    0X0000FF00

#define RPU_RPU_ERR_INJ_DCCMINP_SHIFT   0
#define RPU_RPU_ERR_INJ_DCCMINP_WIDTH   8
#define RPU_RPU_ERR_INJ_DCCMINP_MASK    0X000000FF

/**
 * Register: RPU_RPU_CCF_MASK
 */
#define RPU_RPU_CCF_MASK    ( ( RPU_BASEADDR ) + 0X00000024 )

#define RPU_RPU_CCF_MASK_TEST_MBIST_MODE_SHIFT   7
#define RPU_RPU_CCF_MASK_TEST_MBIST_MODE_WIDTH   1
#define RPU_RPU_CCF_MASK_TEST_MBIST_MODE_MASK    0X00000080

#define RPU_RPU_CCF_MASK_TEST_SCAN_MODE_LP_SHIFT   6
#define RPU_RPU_CCF_MASK_TEST_SCAN_MODE_LP_WIDTH   1
#define RPU_RPU_CCF_MASK_TEST_SCAN_MODE_LP_MASK    0X00000040

#define RPU_RPU_CCF_MASK_TEST_SCAN_MODE_SHIFT   5
#define RPU_RPU_CCF_MASK_TEST_SCAN_MODE_WIDTH   1
#define RPU_RPU_CCF_MASK_TEST_SCAN_MODE_MASK    0X00000020

#define RPU_RPU_CCF_MASK_ISO_SHIFT   4
#define RPU_RPU_CCF_MASK_ISO_WIDTH   1
#define RPU_RPU_CCF_MASK_ISO_MASK    0X00000010

#define RPU_RPU_CCF_MASK_PGE_SHIFT   3
#define RPU_RPU_CCF_MASK_PGE_WIDTH   1
#define RPU_RPU_CCF_MASK_PGE_MASK    0X00000008

#define RPU_RPU_CCF_MASK_R50_DBG_RST_SHIFT   2
#define RPU_RPU_CCF_MASK_R50_DBG_RST_WIDTH   1
#define RPU_RPU_CCF_MASK_R50_DBG_RST_MASK    0X00000004

#define RPU_RPU_CCF_MASK_R50_RST_SHIFT   1
#define RPU_RPU_CCF_MASK_R50_RST_WIDTH   1
#define RPU_RPU_CCF_MASK_R50_RST_MASK    0X00000002

#define RPU_RPU_CCF_MASK_PGE_RST_SHIFT   0
#define RPU_RPU_CCF_MASK_PGE_RST_WIDTH   1
#define RPU_RPU_CCF_MASK_PGE_RST_MASK    0X00000001

/**
 * Register: RPU_RPU_INTR_0
 */
#define RPU_RPU_INTR_0    ( ( RPU_BASEADDR ) + 0X00000028 )

#define RPU_RPU_INTR_0_SPI_SHIFT   0
#define RPU_RPU_INTR_0_SPI_WIDTH   32
#define RPU_RPU_INTR_0_SPI_MASK    0XFFFFFFFF

/**
 * Register: RPU_RPU_INTR_1
 */
#define RPU_RPU_INTR_1    ( ( RPU_BASEADDR ) + 0X0000002C )

#define RPU_RPU_INTR_1_SPI_SHIFT   0
#define RPU_RPU_INTR_1_SPI_WIDTH   32
#define RPU_RPU_INTR_1_SPI_MASK    0XFFFFFFFF

/**
 * Register: RPU_RPU_INTR_2
 */
#define RPU_RPU_INTR_2    ( ( RPU_BASEADDR ) + 0X00000030 )

#define RPU_RPU_INTR_2_SPI_SHIFT   0
#define RPU_RPU_INTR_2_SPI_WIDTH   32
#define RPU_RPU_INTR_2_SPI_MASK    0XFFFFFFFF

/**
 * Register: RPU_RPU_INTR_3
 */
#define RPU_RPU_INTR_3    ( ( RPU_BASEADDR ) + 0X00000034 )

#define RPU_RPU_INTR_3_SPI_SHIFT   0
#define RPU_RPU_INTR_3_SPI_WIDTH   32
#define RPU_RPU_INTR_3_SPI_MASK    0XFFFFFFFF

/**
 * Register: RPU_RPU_INTR_4
 */
#define RPU_RPU_INTR_4    ( ( RPU_BASEADDR ) + 0X00000038 )

#define RPU_RPU_INTR_4_SPI_SHIFT   0
#define RPU_RPU_INTR_4_SPI_WIDTH   32
#define RPU_RPU_INTR_4_SPI_MASK    0XFFFFFFFF

/**
 * Register: RPU_RPU_INTR_MASK_0
 */
#define RPU_RPU_INTR_MASK_0    ( ( RPU_BASEADDR ) + 0X00000040 )

#define RPU_RPU_INTR_MASK_0_SPI_SHIFT   0
#define RPU_RPU_INTR_MASK_0_SPI_WIDTH   32
#define RPU_RPU_INTR_MASK_0_SPI_MASK    0XFFFFFFFF

/**
 * Register: RPU_RPU_INTR_MASK_1
 */
#define RPU_RPU_INTR_MASK_1    ( ( RPU_BASEADDR ) + 0X00000044 )

#define RPU_RPU_INTR_MASK_1_SPI_SHIFT   0
#define RPU_RPU_INTR_MASK_1_SPI_WIDTH   32
#define RPU_RPU_INTR_MASK_1_SPI_MASK    0XFFFFFFFF

/**
 * Register: RPU_RPU_INTR_MASK_2
 */
#define RPU_RPU_INTR_MASK_2    ( ( RPU_BASEADDR ) + 0X00000048 )

#define RPU_RPU_INTR_MASK_2_SPI_SHIFT   0
#define RPU_RPU_INTR_MASK_2_SPI_WIDTH   32
#define RPU_RPU_INTR_MASK_2_SPI_MASK    0XFFFFFFFF

/**
 * Register: RPU_RPU_INTR_MASK_3
 */
#define RPU_RPU_INTR_MASK_3    ( ( RPU_BASEADDR ) + 0X0000004C )

#define RPU_RPU_INTR_MASK_3_SPI_SHIFT   0
#define RPU_RPU_INTR_MASK_3_SPI_WIDTH   32
#define RPU_RPU_INTR_MASK_3_SPI_MASK    0XFFFFFFFF

/**
 * Register: RPU_RPU_INTR_MASK_4
 */
#define RPU_RPU_INTR_MASK_4    ( ( RPU_BASEADDR ) + 0X00000050 )

#define RPU_RPU_INTR_MASK_4_SPI_SHIFT   0
#define RPU_RPU_INTR_MASK_4_SPI_WIDTH   32
#define RPU_RPU_INTR_MASK_4_SPI_MASK    0XFFFFFFFF

/**
 * Register: RPU_RPU_CCF_VAL
 */
#define RPU_RPU_CCF_VAL    ( ( RPU_BASEADDR ) + 0X00000054 )

#define RPU_RPU_CCF_VAL_TEST_MBIST_MODE_SHIFT   7
#define RPU_RPU_CCF_VAL_TEST_MBIST_MODE_WIDTH   1
#define RPU_RPU_CCF_VAL_TEST_MBIST_MODE_MASK    0X00000080

#define RPU_RPU_CCF_VAL_TEST_SCAN_MODE_LP_SHIFT   6
#define RPU_RPU_CCF_VAL_TEST_SCAN_MODE_LP_WIDTH   1
#define RPU_RPU_CCF_VAL_TEST_SCAN_MODE_LP_MASK    0X00000040

#define RPU_RPU_CCF_VAL_TEST_SCAN_MODE_SHIFT   5
#define RPU_RPU_CCF_VAL_TEST_SCAN_MODE_WIDTH   1
#define RPU_RPU_CCF_VAL_TEST_SCAN_MODE_MASK    0X00000020

#define RPU_RPU_CCF_VAL_ISO_SHIFT   4
#define RPU_RPU_CCF_VAL_ISO_WIDTH   1
#define RPU_RPU_CCF_VAL_ISO_MASK    0X00000010

#define RPU_RPU_CCF_VAL_PGE_SHIFT   3
#define RPU_RPU_CCF_VAL_PGE_WIDTH   1
#define RPU_RPU_CCF_VAL_PGE_MASK    0X00000008

#define RPU_RPU_CCF_VAL_R50_DBG_RST_SHIFT   2
#define RPU_RPU_CCF_VAL_R50_DBG_RST_WIDTH   1
#define RPU_RPU_CCF_VAL_R50_DBG_RST_MASK    0X00000004

#define RPU_RPU_CCF_VAL_R50_RST_SHIFT   1
#define RPU_RPU_CCF_VAL_R50_RST_WIDTH   1
#define RPU_RPU_CCF_VAL_R50_RST_MASK    0X00000002

#define RPU_RPU_CCF_VAL_PGE_RST_SHIFT   0
#define RPU_RPU_CCF_VAL_PGE_RST_WIDTH   1
#define RPU_RPU_CCF_VAL_PGE_RST_MASK    0X00000001

/**
 * Register: RPU_RPU_SAFETY_CHK
 */
#define RPU_RPU_SAFETY_CHK    ( ( RPU_BASEADDR ) + 0X000000F0 )

#define RPU_RPU_SAFETY_CHK_VAL_SHIFT   0
#define RPU_RPU_SAFETY_CHK_VAL_WIDTH   32
#define RPU_RPU_SAFETY_CHK_VAL_MASK    0XFFFFFFFF

/**
 * Register: RPU_RPU
 */
#define RPU_RPU    ( ( RPU_BASEADDR ) + 0X000000F4 )

#define RPU_RPU_ECO_SHIFT   0
#define RPU_RPU_ECO_WIDTH   32
#define RPU_RPU_ECO_MASK    0XFFFFFFFF

/**
 * Register: RPU_RPU_0_CFG
 */
#define RPU_RPU_0_CFG    ( ( RPU_BASEADDR ) + 0X00000100 )

#define RPU_RPU_0_CFG_CFGNMFI0_SHIFT   3
#define RPU_RPU_0_CFG_CFGNMFI0_WIDTH   1
#define RPU_RPU_0_CFG_CFGNMFI0_MASK    0X00000008

#define RPU_RPU_0_CFG_VINITHI_SHIFT   2
#define RPU_RPU_0_CFG_VINITHI_WIDTH   1
#define RPU_RPU_0_CFG_VINITHI_MASK    0X00000004

#define RPU_RPU_0_CFG_COHERENT_SHIFT   1
#define RPU_RPU_0_CFG_COHERENT_WIDTH   1
#define RPU_RPU_0_CFG_COHERENT_MASK    0X00000002

#define RPU_RPU_0_CFG_NCPUHALT_SHIFT   0
#define RPU_RPU_0_CFG_NCPUHALT_WIDTH   1
#define RPU_RPU_0_CFG_NCPUHALT_MASK    0X00000001

/**
 * Register: RPU_RPU_0_STATUS
 */
#define RPU_RPU_0_STATUS    ( ( RPU_BASEADDR ) + 0X00000104 )

#define RPU_RPU_0_STATUS_NVALRESET_SHIFT   5
#define RPU_RPU_0_STATUS_NVALRESET_WIDTH   1
#define RPU_RPU_0_STATUS_NVALRESET_MASK    0X00000020

#define RPU_RPU_0_STATUS_NVALIRQ_SHIFT   4
#define RPU_RPU_0_STATUS_NVALIRQ_WIDTH   1
#define RPU_RPU_0_STATUS_NVALIRQ_MASK    0X00000010

#define RPU_RPU_0_STATUS_NVALFIQ_SHIFT   3
#define RPU_RPU_0_STATUS_NVALFIQ_WIDTH   1
#define RPU_RPU_0_STATUS_NVALFIQ_MASK    0X00000008

#define RPU_RPU_0_STATUS_NWFIPIPESTOPPED_SHIFT   2
#define RPU_RPU_0_STATUS_NWFIPIPESTOPPED_WIDTH   1
#define RPU_RPU_0_STATUS_NWFIPIPESTOPPED_MASK    0X00000004

#define RPU_RPU_0_STATUS_NWFEPIPESTOPPED_SHIFT   1
#define RPU_RPU_0_STATUS_NWFEPIPESTOPPED_WIDTH   1
#define RPU_RPU_0_STATUS_NWFEPIPESTOPPED_MASK    0X00000002

#define RPU_RPU_0_STATUS_NCLKSTOPPED_SHIFT   0
#define RPU_RPU_0_STATUS_NCLKSTOPPED_WIDTH   1
#define RPU_RPU_0_STATUS_NCLKSTOPPED_MASK    0X00000001

/**
 * Register: RPU_RPU_0_PWRDWN
 */
#define RPU_RPU_0_PWRDWN    ( ( RPU_BASEADDR ) + 0X00000108 )

#define RPU_RPU_0_PWRDWN_EN_SHIFT   0
#define RPU_RPU_0_PWRDWN_EN_WIDTH   1
#define RPU_RPU_0_PWRDWN_EN_MASK    0X00000001

/**
 * Register: RPU_RPU_0_ISR
 */
#define RPU_RPU_0_ISR    ( ( RPU_BASEADDR ) + 0X00000114 )

#define RPU_RPU_0_ISR_FPUFC_SHIFT   24
#define RPU_RPU_0_ISR_FPUFC_WIDTH   1
#define RPU_RPU_0_ISR_FPUFC_MASK    0X01000000

#define RPU_RPU_0_ISR_FPOFC_SHIFT   23
#define RPU_RPU_0_ISR_FPOFC_WIDTH   1
#define RPU_RPU_0_ISR_FPOFC_MASK    0X00800000

#define RPU_RPU_0_ISR_FPIXC_SHIFT   22
#define RPU_RPU_0_ISR_FPIXC_WIDTH   1
#define RPU_RPU_0_ISR_FPIXC_MASK    0X00400000

#define RPU_RPU_0_ISR_FPIOC_SHIFT   21
#define RPU_RPU_0_ISR_FPIOC_WIDTH   1
#define RPU_RPU_0_ISR_FPIOC_MASK    0X00200000

#define RPU_RPU_0_ISR_FPIDC_SHIFT   20
#define RPU_RPU_0_ISR_FPIDC_WIDTH   1
#define RPU_RPU_0_ISR_FPIDC_MASK    0X00100000

#define RPU_RPU_0_ISR_FPDZC_SHIFT   19
#define RPU_RPU_0_ISR_FPDZC_WIDTH   1
#define RPU_RPU_0_ISR_FPDZC_MASK    0X00080000

#define RPU_RPU_0_ISR_TCM_ASLV_CE_SHIFT   18
#define RPU_RPU_0_ISR_TCM_ASLV_CE_WIDTH   1
#define RPU_RPU_0_ISR_TCM_ASLV_CE_MASK    0X00040000

#define RPU_RPU_0_ISR_TCM_ASLV_FAT_SHIFT   17
#define RPU_RPU_0_ISR_TCM_ASLV_FAT_WIDTH   1
#define RPU_RPU_0_ISR_TCM_ASLV_FAT_MASK    0X00020000

#define RPU_RPU_0_ISR_TCM_LST_CE_SHIFT   16
#define RPU_RPU_0_ISR_TCM_LST_CE_WIDTH   1
#define RPU_RPU_0_ISR_TCM_LST_CE_MASK    0X00010000

#define RPU_RPU_0_ISR_TCM_PREFETCH_CE_SHIFT   15
#define RPU_RPU_0_ISR_TCM_PREFETCH_CE_WIDTH   1
#define RPU_RPU_0_ISR_TCM_PREFETCH_CE_MASK    0X00008000

#define RPU_RPU_0_ISR_B1TCM_CE_SHIFT   14
#define RPU_RPU_0_ISR_B1TCM_CE_WIDTH   1
#define RPU_RPU_0_ISR_B1TCM_CE_MASK    0X00004000

#define RPU_RPU_0_ISR_B0TCM_CE_SHIFT   13
#define RPU_RPU_0_ISR_B0TCM_CE_WIDTH   1
#define RPU_RPU_0_ISR_B0TCM_CE_MASK    0X00002000

#define RPU_RPU_0_ISR_ATCM_CE_SHIFT   12
#define RPU_RPU_0_ISR_ATCM_CE_WIDTH   1
#define RPU_RPU_0_ISR_ATCM_CE_MASK    0X00001000

#define RPU_RPU_0_ISR_B1TCM_UE_SHIFT   11
#define RPU_RPU_0_ISR_B1TCM_UE_WIDTH   1
#define RPU_RPU_0_ISR_B1TCM_UE_MASK    0X00000800

#define RPU_RPU_0_ISR_B0TCM_UE_SHIFT   10
#define RPU_RPU_0_ISR_B0TCM_UE_WIDTH   1
#define RPU_RPU_0_ISR_B0TCM_UE_MASK    0X00000400

#define RPU_RPU_0_ISR_ATCM_UE_SHIFT   9
#define RPU_RPU_0_ISR_ATCM_UE_WIDTH   1
#define RPU_RPU_0_ISR_ATCM_UE_MASK    0X00000200

#define RPU_RPU_0_ISR_DTAG_DIRTY_FAT_SHIFT   8
#define RPU_RPU_0_ISR_DTAG_DIRTY_FAT_WIDTH   1
#define RPU_RPU_0_ISR_DTAG_DIRTY_FAT_MASK    0X00000100

#define RPU_RPU_0_ISR_DDATA_FAT_SHIFT   7
#define RPU_RPU_0_ISR_DDATA_FAT_WIDTH   1
#define RPU_RPU_0_ISR_DDATA_FAT_MASK    0X00000080

#define RPU_RPU_0_ISR_TCM_LST_FAT_SHIFT   6
#define RPU_RPU_0_ISR_TCM_LST_FAT_WIDTH   1
#define RPU_RPU_0_ISR_TCM_LST_FAT_MASK    0X00000040

#define RPU_RPU_0_ISR_TCM_PREFETCH_FAT_SHIFT   5
#define RPU_RPU_0_ISR_TCM_PREFETCH_FAT_WIDTH   1
#define RPU_RPU_0_ISR_TCM_PREFETCH_FAT_MASK    0X00000020

#define RPU_RPU_0_ISR_DDATA_CE_SHIFT   4
#define RPU_RPU_0_ISR_DDATA_CE_WIDTH   1
#define RPU_RPU_0_ISR_DDATA_CE_MASK    0X00000010

#define RPU_RPU_0_ISR_DTAG_DIRTY_CE_SHIFT   3
#define RPU_RPU_0_ISR_DTAG_DIRTY_CE_WIDTH   1
#define RPU_RPU_0_ISR_DTAG_DIRTY_CE_MASK    0X00000008

#define RPU_RPU_0_ISR_IDATA_CE_SHIFT   2
#define RPU_RPU_0_ISR_IDATA_CE_WIDTH   1
#define RPU_RPU_0_ISR_IDATA_CE_MASK    0X00000004

#define RPU_RPU_0_ISR_ITAG_CE_SHIFT   1
#define RPU_RPU_0_ISR_ITAG_CE_WIDTH   1
#define RPU_RPU_0_ISR_ITAG_CE_MASK    0X00000002

#define RPU_RPU_0_ISR_APB_ERR_SHIFT   0
#define RPU_RPU_0_ISR_APB_ERR_WIDTH   1
#define RPU_RPU_0_ISR_APB_ERR_MASK    0X00000001

/**
 * Register: RPU_RPU_0_IMR
 */
#define RPU_RPU_0_IMR    ( ( RPU_BASEADDR ) + 0X00000118 )

#define RPU_RPU_0_IMR_FPUFC_SHIFT   24
#define RPU_RPU_0_IMR_FPUFC_WIDTH   1
#define RPU_RPU_0_IMR_FPUFC_MASK    0X01000000

#define RPU_RPU_0_IMR_FPOFC_SHIFT   23
#define RPU_RPU_0_IMR_FPOFC_WIDTH   1
#define RPU_RPU_0_IMR_FPOFC_MASK    0X00800000

#define RPU_RPU_0_IMR_FPIXC_SHIFT   22
#define RPU_RPU_0_IMR_FPIXC_WIDTH   1
#define RPU_RPU_0_IMR_FPIXC_MASK    0X00400000

#define RPU_RPU_0_IMR_FPIOC_SHIFT   21
#define RPU_RPU_0_IMR_FPIOC_WIDTH   1
#define RPU_RPU_0_IMR_FPIOC_MASK    0X00200000

#define RPU_RPU_0_IMR_FPIDC_SHIFT   20
#define RPU_RPU_0_IMR_FPIDC_WIDTH   1
#define RPU_RPU_0_IMR_FPIDC_MASK    0X00100000

#define RPU_RPU_0_IMR_FPDZC_SHIFT   19
#define RPU_RPU_0_IMR_FPDZC_WIDTH   1
#define RPU_RPU_0_IMR_FPDZC_MASK    0X00080000

#define RPU_RPU_0_IMR_TCM_ASLV_CE_SHIFT   18
#define RPU_RPU_0_IMR_TCM_ASLV_CE_WIDTH   1
#define RPU_RPU_0_IMR_TCM_ASLV_CE_MASK    0X00040000

#define RPU_RPU_0_IMR_TCM_ASLV_FAT_SHIFT   17
#define RPU_RPU_0_IMR_TCM_ASLV_FAT_WIDTH   1
#define RPU_RPU_0_IMR_TCM_ASLV_FAT_MASK    0X00020000

#define RPU_RPU_0_IMR_TCM_LST_CE_SHIFT   16
#define RPU_RPU_0_IMR_TCM_LST_CE_WIDTH   1
#define RPU_RPU_0_IMR_TCM_LST_CE_MASK    0X00010000

#define RPU_RPU_0_IMR_TCM_PREFETCH_CE_SHIFT   15
#define RPU_RPU_0_IMR_TCM_PREFETCH_CE_WIDTH   1
#define RPU_RPU_0_IMR_TCM_PREFETCH_CE_MASK    0X00008000

#define RPU_RPU_0_IMR_B1TCM_CE_SHIFT   14
#define RPU_RPU_0_IMR_B1TCM_CE_WIDTH   1
#define RPU_RPU_0_IMR_B1TCM_CE_MASK    0X00004000

#define RPU_RPU_0_IMR_B0TCM_CE_SHIFT   13
#define RPU_RPU_0_IMR_B0TCM_CE_WIDTH   1
#define RPU_RPU_0_IMR_B0TCM_CE_MASK    0X00002000

#define RPU_RPU_0_IMR_ATCM_CE_SHIFT   12
#define RPU_RPU_0_IMR_ATCM_CE_WIDTH   1
#define RPU_RPU_0_IMR_ATCM_CE_MASK    0X00001000

#define RPU_RPU_0_IMR_B1TCM_UE_SHIFT   11
#define RPU_RPU_0_IMR_B1TCM_UE_WIDTH   1
#define RPU_RPU_0_IMR_B1TCM_UE_MASK    0X00000800

#define RPU_RPU_0_IMR_B0TCM_UE_SHIFT   10
#define RPU_RPU_0_IMR_B0TCM_UE_WIDTH   1
#define RPU_RPU_0_IMR_B0TCM_UE_MASK    0X00000400

#define RPU_RPU_0_IMR_ATCM_UE_SHIFT   9
#define RPU_RPU_0_IMR_ATCM_UE_WIDTH   1
#define RPU_RPU_0_IMR_ATCM_UE_MASK    0X00000200

#define RPU_RPU_0_IMR_DTAG_DIRTY_FAT_SHIFT   8
#define RPU_RPU_0_IMR_DTAG_DIRTY_FAT_WIDTH   1
#define RPU_RPU_0_IMR_DTAG_DIRTY_FAT_MASK    0X00000100

#define RPU_RPU_0_IMR_DDATA_FAT_SHIFT   7
#define RPU_RPU_0_IMR_DDATA_FAT_WIDTH   1
#define RPU_RPU_0_IMR_DDATA_FAT_MASK    0X00000080

#define RPU_RPU_0_IMR_TCM_LST_FAT_SHIFT   6
#define RPU_RPU_0_IMR_TCM_LST_FAT_WIDTH   1
#define RPU_RPU_0_IMR_TCM_LST_FAT_MASK    0X00000040

#define RPU_RPU_0_IMR_TCM_PREFETCH_FAT_SHIFT   5
#define RPU_RPU_0_IMR_TCM_PREFETCH_FAT_WIDTH   1
#define RPU_RPU_0_IMR_TCM_PREFETCH_FAT_MASK    0X00000020

#define RPU_RPU_0_IMR_DDATA_CE_SHIFT   4
#define RPU_RPU_0_IMR_DDATA_CE_WIDTH   1
#define RPU_RPU_0_IMR_DDATA_CE_MASK    0X00000010

#define RPU_RPU_0_IMR_DTAG_DIRTY_CE_SHIFT   3
#define RPU_RPU_0_IMR_DTAG_DIRTY_CE_WIDTH   1
#define RPU_RPU_0_IMR_DTAG_DIRTY_CE_MASK    0X00000008

#define RPU_RPU_0_IMR_IDATA_CE_SHIFT   2
#define RPU_RPU_0_IMR_IDATA_CE_WIDTH   1
#define RPU_RPU_0_IMR_IDATA_CE_MASK    0X00000004

#define RPU_RPU_0_IMR_ITAG_CE_SHIFT   1
#define RPU_RPU_0_IMR_ITAG_CE_WIDTH   1
#define RPU_RPU_0_IMR_ITAG_CE_MASK    0X00000002

#define RPU_RPU_0_IMR_APB_ERR_SHIFT   0
#define RPU_RPU_0_IMR_APB_ERR_WIDTH   1
#define RPU_RPU_0_IMR_APB_ERR_MASK    0X00000001

/**
 * Register: RPU_RPU_0_IEN
 */
#define RPU_RPU_0_IEN    ( ( RPU_BASEADDR ) + 0X0000011C )

#define RPU_RPU_0_IEN_FPUFC_SHIFT   24
#define RPU_RPU_0_IEN_FPUFC_WIDTH   1
#define RPU_RPU_0_IEN_FPUFC_MASK    0X01000000

#define RPU_RPU_0_IEN_FPOFC_SHIFT   23
#define RPU_RPU_0_IEN_FPOFC_WIDTH   1
#define RPU_RPU_0_IEN_FPOFC_MASK    0X00800000

#define RPU_RPU_0_IEN_FPIXC_SHIFT   22
#define RPU_RPU_0_IEN_FPIXC_WIDTH   1
#define RPU_RPU_0_IEN_FPIXC_MASK    0X00400000

#define RPU_RPU_0_IEN_FPIOC_SHIFT   21
#define RPU_RPU_0_IEN_FPIOC_WIDTH   1
#define RPU_RPU_0_IEN_FPIOC_MASK    0X00200000

#define RPU_RPU_0_IEN_FPIDC_SHIFT   20
#define RPU_RPU_0_IEN_FPIDC_WIDTH   1
#define RPU_RPU_0_IEN_FPIDC_MASK    0X00100000

#define RPU_RPU_0_IEN_FPDZC_SHIFT   19
#define RPU_RPU_0_IEN_FPDZC_WIDTH   1
#define RPU_RPU_0_IEN_FPDZC_MASK    0X00080000

#define RPU_RPU_0_IEN_TCM_ASLV_CE_SHIFT   18
#define RPU_RPU_0_IEN_TCM_ASLV_CE_WIDTH   1
#define RPU_RPU_0_IEN_TCM_ASLV_CE_MASK    0X00040000

#define RPU_RPU_0_IEN_TCM_ASLV_FAT_SHIFT   17
#define RPU_RPU_0_IEN_TCM_ASLV_FAT_WIDTH   1
#define RPU_RPU_0_IEN_TCM_ASLV_FAT_MASK    0X00020000

#define RPU_RPU_0_IEN_TCM_LST_CE_SHIFT   16
#define RPU_RPU_0_IEN_TCM_LST_CE_WIDTH   1
#define RPU_RPU_0_IEN_TCM_LST_CE_MASK    0X00010000

#define RPU_RPU_0_IEN_TCM_PREFETCH_CE_SHIFT   15
#define RPU_RPU_0_IEN_TCM_PREFETCH_CE_WIDTH   1
#define RPU_RPU_0_IEN_TCM_PREFETCH_CE_MASK    0X00008000

#define RPU_RPU_0_IEN_B1TCM_CE_SHIFT   14
#define RPU_RPU_0_IEN_B1TCM_CE_WIDTH   1
#define RPU_RPU_0_IEN_B1TCM_CE_MASK    0X00004000

#define RPU_RPU_0_IEN_B0TCM_CE_SHIFT   13
#define RPU_RPU_0_IEN_B0TCM_CE_WIDTH   1
#define RPU_RPU_0_IEN_B0TCM_CE_MASK    0X00002000

#define RPU_RPU_0_IEN_ATCM_CE_SHIFT   12
#define RPU_RPU_0_IEN_ATCM_CE_WIDTH   1
#define RPU_RPU_0_IEN_ATCM_CE_MASK    0X00001000

#define RPU_RPU_0_IEN_B1TCM_UE_SHIFT   11
#define RPU_RPU_0_IEN_B1TCM_UE_WIDTH   1
#define RPU_RPU_0_IEN_B1TCM_UE_MASK    0X00000800

#define RPU_RPU_0_IEN_B0TCM_UE_SHIFT   10
#define RPU_RPU_0_IEN_B0TCM_UE_WIDTH   1
#define RPU_RPU_0_IEN_B0TCM_UE_MASK    0X00000400

#define RPU_RPU_0_IEN_ATCM_UE_SHIFT   9
#define RPU_RPU_0_IEN_ATCM_UE_WIDTH   1
#define RPU_RPU_0_IEN_ATCM_UE_MASK    0X00000200

#define RPU_RPU_0_IEN_DTAG_DIRTY_FAT_SHIFT   8
#define RPU_RPU_0_IEN_DTAG_DIRTY_FAT_WIDTH   1
#define RPU_RPU_0_IEN_DTAG_DIRTY_FAT_MASK    0X00000100

#define RPU_RPU_0_IEN_DDATA_FAT_SHIFT   7
#define RPU_RPU_0_IEN_DDATA_FAT_WIDTH   1
#define RPU_RPU_0_IEN_DDATA_FAT_MASK    0X00000080

#define RPU_RPU_0_IEN_TCM_LST_FAT_SHIFT   6
#define RPU_RPU_0_IEN_TCM_LST_FAT_WIDTH   1
#define RPU_RPU_0_IEN_TCM_LST_FAT_MASK    0X00000040

#define RPU_RPU_0_IEN_TCM_PREFETCH_FAT_SHIFT   5
#define RPU_RPU_0_IEN_TCM_PREFETCH_FAT_WIDTH   1
#define RPU_RPU_0_IEN_TCM_PREFETCH_FAT_MASK    0X00000020

#define RPU_RPU_0_IEN_DDATA_CE_SHIFT   4
#define RPU_RPU_0_IEN_DDATA_CE_WIDTH   1
#define RPU_RPU_0_IEN_DDATA_CE_MASK    0X00000010

#define RPU_RPU_0_IEN_DTAG_DIRTY_CE_SHIFT   3
#define RPU_RPU_0_IEN_DTAG_DIRTY_CE_WIDTH   1
#define RPU_RPU_0_IEN_DTAG_DIRTY_CE_MASK    0X00000008

#define RPU_RPU_0_IEN_IDATA_CE_SHIFT   2
#define RPU_RPU_0_IEN_IDATA_CE_WIDTH   1
#define RPU_RPU_0_IEN_IDATA_CE_MASK    0X00000004

#define RPU_RPU_0_IEN_ITAG_CE_SHIFT   1
#define RPU_RPU_0_IEN_ITAG_CE_WIDTH   1
#define RPU_RPU_0_IEN_ITAG_CE_MASK    0X00000002

#define RPU_RPU_0_IEN_APB_ERR_SHIFT   0
#define RPU_RPU_0_IEN_APB_ERR_WIDTH   1
#define RPU_RPU_0_IEN_APB_ERR_MASK    0X00000001

/**
 * Register: RPU_RPU_0_IDS
 */
#define RPU_RPU_0_IDS    ( ( RPU_BASEADDR ) + 0X00000120 )

#define RPU_RPU_0_IDS_FPUFC_SHIFT   24
#define RPU_RPU_0_IDS_FPUFC_WIDTH   1
#define RPU_RPU_0_IDS_FPUFC_MASK    0X01000000

#define RPU_RPU_0_IDS_FPOFC_SHIFT   23
#define RPU_RPU_0_IDS_FPOFC_WIDTH   1
#define RPU_RPU_0_IDS_FPOFC_MASK    0X00800000

#define RPU_RPU_0_IDS_FPIXC_SHIFT   22
#define RPU_RPU_0_IDS_FPIXC_WIDTH   1
#define RPU_RPU_0_IDS_FPIXC_MASK    0X00400000

#define RPU_RPU_0_IDS_FPIOC_SHIFT   21
#define RPU_RPU_0_IDS_FPIOC_WIDTH   1
#define RPU_RPU_0_IDS_FPIOC_MASK    0X00200000

#define RPU_RPU_0_IDS_FPIDC_SHIFT   20
#define RPU_RPU_0_IDS_FPIDC_WIDTH   1
#define RPU_RPU_0_IDS_FPIDC_MASK    0X00100000

#define RPU_RPU_0_IDS_FPDZC_SHIFT   19
#define RPU_RPU_0_IDS_FPDZC_WIDTH   1
#define RPU_RPU_0_IDS_FPDZC_MASK    0X00080000

#define RPU_RPU_0_IDS_TCM_ASLV_CE_SHIFT   18
#define RPU_RPU_0_IDS_TCM_ASLV_CE_WIDTH   1
#define RPU_RPU_0_IDS_TCM_ASLV_CE_MASK    0X00040000

#define RPU_RPU_0_IDS_TCM_ASLV_FAT_SHIFT   17
#define RPU_RPU_0_IDS_TCM_ASLV_FAT_WIDTH   1
#define RPU_RPU_0_IDS_TCM_ASLV_FAT_MASK    0X00020000

#define RPU_RPU_0_IDS_TCM_LST_CE_SHIFT   16
#define RPU_RPU_0_IDS_TCM_LST_CE_WIDTH   1
#define RPU_RPU_0_IDS_TCM_LST_CE_MASK    0X00010000

#define RPU_RPU_0_IDS_TCM_PREFETCH_CE_SHIFT   15
#define RPU_RPU_0_IDS_TCM_PREFETCH_CE_WIDTH   1
#define RPU_RPU_0_IDS_TCM_PREFETCH_CE_MASK    0X00008000

#define RPU_RPU_0_IDS_B1TCM_CE_SHIFT   14
#define RPU_RPU_0_IDS_B1TCM_CE_WIDTH   1
#define RPU_RPU_0_IDS_B1TCM_CE_MASK    0X00004000

#define RPU_RPU_0_IDS_B0TCM_CE_SHIFT   13
#define RPU_RPU_0_IDS_B0TCM_CE_WIDTH   1
#define RPU_RPU_0_IDS_B0TCM_CE_MASK    0X00002000

#define RPU_RPU_0_IDS_ATCM_CE_SHIFT   12
#define RPU_RPU_0_IDS_ATCM_CE_WIDTH   1
#define RPU_RPU_0_IDS_ATCM_CE_MASK    0X00001000

#define RPU_RPU_0_IDS_B1TCM_UE_SHIFT   11
#define RPU_RPU_0_IDS_B1TCM_UE_WIDTH   1
#define RPU_RPU_0_IDS_B1TCM_UE_MASK    0X00000800

#define RPU_RPU_0_IDS_B0TCM_UE_SHIFT   10
#define RPU_RPU_0_IDS_B0TCM_UE_WIDTH   1
#define RPU_RPU_0_IDS_B0TCM_UE_MASK    0X00000400

#define RPU_RPU_0_IDS_ATCM_UE_SHIFT   9
#define RPU_RPU_0_IDS_ATCM_UE_WIDTH   1
#define RPU_RPU_0_IDS_ATCM_UE_MASK    0X00000200

#define RPU_RPU_0_IDS_DTAG_DIRTY_FAT_SHIFT   8
#define RPU_RPU_0_IDS_DTAG_DIRTY_FAT_WIDTH   1
#define RPU_RPU_0_IDS_DTAG_DIRTY_FAT_MASK    0X00000100

#define RPU_RPU_0_IDS_DDATA_FAT_SHIFT   7
#define RPU_RPU_0_IDS_DDATA_FAT_WIDTH   1
#define RPU_RPU_0_IDS_DDATA_FAT_MASK    0X00000080

#define RPU_RPU_0_IDS_TCM_LST_FAT_SHIFT   6
#define RPU_RPU_0_IDS_TCM_LST_FAT_WIDTH   1
#define RPU_RPU_0_IDS_TCM_LST_FAT_MASK    0X00000040

#define RPU_RPU_0_IDS_TCM_PREFETCH_FAT_SHIFT   5
#define RPU_RPU_0_IDS_TCM_PREFETCH_FAT_WIDTH   1
#define RPU_RPU_0_IDS_TCM_PREFETCH_FAT_MASK    0X00000020

#define RPU_RPU_0_IDS_DDATA_CE_SHIFT   4
#define RPU_RPU_0_IDS_DDATA_CE_WIDTH   1
#define RPU_RPU_0_IDS_DDATA_CE_MASK    0X00000010

#define RPU_RPU_0_IDS_DTAG_DIRTY_CE_SHIFT   3
#define RPU_RPU_0_IDS_DTAG_DIRTY_CE_WIDTH   1
#define RPU_RPU_0_IDS_DTAG_DIRTY_CE_MASK    0X00000008

#define RPU_RPU_0_IDS_IDATA_CE_SHIFT   2
#define RPU_RPU_0_IDS_IDATA_CE_WIDTH   1
#define RPU_RPU_0_IDS_IDATA_CE_MASK    0X00000004

#define RPU_RPU_0_IDS_ITAG_CE_SHIFT   1
#define RPU_RPU_0_IDS_ITAG_CE_WIDTH   1
#define RPU_RPU_0_IDS_ITAG_CE_MASK    0X00000002

#define RPU_RPU_0_IDS_APB_ERR_SHIFT   0
#define RPU_RPU_0_IDS_APB_ERR_WIDTH   1
#define RPU_RPU_0_IDS_APB_ERR_MASK    0X00000001

/**
 * Register: RPU_RPU_0_SLV_BASE
 */
#define RPU_RPU_0_SLV_BASE    ( ( RPU_BASEADDR ) + 0X00000124 )

#define RPU_RPU_0_SLV_BASE_ADDR_SHIFT   0
#define RPU_RPU_0_SLV_BASE_ADDR_WIDTH   8
#define RPU_RPU_0_SLV_BASE_ADDR_MASK    0X000000FF

/**
 * Register: RPU_RPU_0_AXI_OVER
 */
#define RPU_RPU_0_AXI_OVER    ( ( RPU_BASEADDR ) + 0X00000128 )

#define RPU_RPU_0_AXI_OVER_AWCACHE_SHIFT   6
#define RPU_RPU_0_AXI_OVER_AWCACHE_WIDTH   4
#define RPU_RPU_0_AXI_OVER_AWCACHE_MASK    0X000003C0

#define RPU_RPU_0_AXI_OVER_ARCACHE_SHIFT   2
#define RPU_RPU_0_AXI_OVER_ARCACHE_WIDTH   4
#define RPU_RPU_0_AXI_OVER_ARCACHE_MASK    0X0000003C

#define RPU_RPU_0_AXI_OVER_AWCACHE_EN_SHIFT   1
#define RPU_RPU_0_AXI_OVER_AWCACHE_EN_WIDTH   1
#define RPU_RPU_0_AXI_OVER_AWCACHE_EN_MASK    0X00000002

#define RPU_RPU_0_AXI_OVER_ARCACHE_EN_SHIFT   0
#define RPU_RPU_0_AXI_OVER_ARCACHE_EN_WIDTH   1
#define RPU_RPU_0_AXI_OVER_ARCACHE_EN_MASK    0X00000001

/**
 * Register: RPU_RPU_1_CFG
 */
#define RPU_RPU_1_CFG    ( ( RPU_BASEADDR ) + 0X00000200 )

#define RPU_RPU_1_CFG_CFGNMFI1_SHIFT   3
#define RPU_RPU_1_CFG_CFGNMFI1_WIDTH   1
#define RPU_RPU_1_CFG_CFGNMFI1_MASK    0X00000008

#define RPU_RPU_1_CFG_VINITHI_SHIFT   2
#define RPU_RPU_1_CFG_VINITHI_WIDTH   1
#define RPU_RPU_1_CFG_VINITHI_MASK    0X00000004

#define RPU_RPU_1_CFG_COHERENT_SHIFT   1
#define RPU_RPU_1_CFG_COHERENT_WIDTH   1
#define RPU_RPU_1_CFG_COHERENT_MASK    0X00000002

#define RPU_RPU_1_CFG_NCPUHALT_SHIFT   0
#define RPU_RPU_1_CFG_NCPUHALT_WIDTH   1
#define RPU_RPU_1_CFG_NCPUHALT_MASK    0X00000001

/**
 * Register: RPU_RPU_1_STATUS
 */
#define RPU_RPU_1_STATUS    ( ( RPU_BASEADDR ) + 0X00000204 )

#define RPU_RPU_1_STATUS_NVALRESET_SHIFT   5
#define RPU_RPU_1_STATUS_NVALRESET_WIDTH   1
#define RPU_RPU_1_STATUS_NVALRESET_MASK    0X00000020

#define RPU_RPU_1_STATUS_NVALIRQ_SHIFT   4
#define RPU_RPU_1_STATUS_NVALIRQ_WIDTH   1
#define RPU_RPU_1_STATUS_NVALIRQ_MASK    0X00000010

#define RPU_RPU_1_STATUS_NVALFIQ_SHIFT   3
#define RPU_RPU_1_STATUS_NVALFIQ_WIDTH   1
#define RPU_RPU_1_STATUS_NVALFIQ_MASK    0X00000008

#define RPU_RPU_1_STATUS_NWFIPIPESTOPPED_SHIFT   2
#define RPU_RPU_1_STATUS_NWFIPIPESTOPPED_WIDTH   1
#define RPU_RPU_1_STATUS_NWFIPIPESTOPPED_MASK    0X00000004

#define RPU_RPU_1_STATUS_NWFEPIPESTOPPED_SHIFT   1
#define RPU_RPU_1_STATUS_NWFEPIPESTOPPED_WIDTH   1
#define RPU_RPU_1_STATUS_NWFEPIPESTOPPED_MASK    0X00000002

#define RPU_RPU_1_STATUS_NCLKSTOPPED_SHIFT   0
#define RPU_RPU_1_STATUS_NCLKSTOPPED_WIDTH   1
#define RPU_RPU_1_STATUS_NCLKSTOPPED_MASK    0X00000001

/**
 * Register: RPU_RPU_1_PWRDWN
 */
#define RPU_RPU_1_PWRDWN    ( ( RPU_BASEADDR ) + 0X00000208 )

#define RPU_RPU_1_PWRDWN_EN_SHIFT   0
#define RPU_RPU_1_PWRDWN_EN_WIDTH   1
#define RPU_RPU_1_PWRDWN_EN_MASK    0X00000001

/**
 * Register: RPU_RPU_1_ISR
 */
#define RPU_RPU_1_ISR    ( ( RPU_BASEADDR ) + 0X00000214 )

#define RPU_RPU_1_ISR_FPUFC_SHIFT   24
#define RPU_RPU_1_ISR_FPUFC_WIDTH   1
#define RPU_RPU_1_ISR_FPUFC_MASK    0X01000000

#define RPU_RPU_1_ISR_FPOFC_SHIFT   23
#define RPU_RPU_1_ISR_FPOFC_WIDTH   1
#define RPU_RPU_1_ISR_FPOFC_MASK    0X00800000

#define RPU_RPU_1_ISR_FPIXC_SHIFT   22
#define RPU_RPU_1_ISR_FPIXC_WIDTH   1
#define RPU_RPU_1_ISR_FPIXC_MASK    0X00400000

#define RPU_RPU_1_ISR_FPIOC_SHIFT   21
#define RPU_RPU_1_ISR_FPIOC_WIDTH   1
#define RPU_RPU_1_ISR_FPIOC_MASK    0X00200000

#define RPU_RPU_1_ISR_FPIDC_SHIFT   20
#define RPU_RPU_1_ISR_FPIDC_WIDTH   1
#define RPU_RPU_1_ISR_FPIDC_MASK    0X00100000

#define RPU_RPU_1_ISR_FPDZC_SHIFT   19
#define RPU_RPU_1_ISR_FPDZC_WIDTH   1
#define RPU_RPU_1_ISR_FPDZC_MASK    0X00080000

#define RPU_RPU_1_ISR_TCM_ASLV_CE_SHIFT   18
#define RPU_RPU_1_ISR_TCM_ASLV_CE_WIDTH   1
#define RPU_RPU_1_ISR_TCM_ASLV_CE_MASK    0X00040000

#define RPU_RPU_1_ISR_TCM_ASLV_FAT_SHIFT   17
#define RPU_RPU_1_ISR_TCM_ASLV_FAT_WIDTH   1
#define RPU_RPU_1_ISR_TCM_ASLV_FAT_MASK    0X00020000

#define RPU_RPU_1_ISR_TCM_LST_CE_SHIFT   16
#define RPU_RPU_1_ISR_TCM_LST_CE_WIDTH   1
#define RPU_RPU_1_ISR_TCM_LST_CE_MASK    0X00010000

#define RPU_RPU_1_ISR_TCM_PREFETCH_CE_SHIFT   15
#define RPU_RPU_1_ISR_TCM_PREFETCH_CE_WIDTH   1
#define RPU_RPU_1_ISR_TCM_PREFETCH_CE_MASK    0X00008000

#define RPU_RPU_1_ISR_B1TCM_CE_SHIFT   14
#define RPU_RPU_1_ISR_B1TCM_CE_WIDTH   1
#define RPU_RPU_1_ISR_B1TCM_CE_MASK    0X00004000

#define RPU_RPU_1_ISR_B0TCM_CE_SHIFT   13
#define RPU_RPU_1_ISR_B0TCM_CE_WIDTH   1
#define RPU_RPU_1_ISR_B0TCM_CE_MASK    0X00002000

#define RPU_RPU_1_ISR_ATCM_CE_SHIFT   12
#define RPU_RPU_1_ISR_ATCM_CE_WIDTH   1
#define RPU_RPU_1_ISR_ATCM_CE_MASK    0X00001000

#define RPU_RPU_1_ISR_B1TCM_UE_SHIFT   11
#define RPU_RPU_1_ISR_B1TCM_UE_WIDTH   1
#define RPU_RPU_1_ISR_B1TCM_UE_MASK    0X00000800

#define RPU_RPU_1_ISR_B0TCM_UE_SHIFT   10
#define RPU_RPU_1_ISR_B0TCM_UE_WIDTH   1
#define RPU_RPU_1_ISR_B0TCM_UE_MASK    0X00000400

#define RPU_RPU_1_ISR_ATCM_UE_SHIFT   9
#define RPU_RPU_1_ISR_ATCM_UE_WIDTH   1
#define RPU_RPU_1_ISR_ATCM_UE_MASK    0X00000200

#define RPU_RPU_1_ISR_DTAG_DIRTY_FAT_SHIFT   8
#define RPU_RPU_1_ISR_DTAG_DIRTY_FAT_WIDTH   1
#define RPU_RPU_1_ISR_DTAG_DIRTY_FAT_MASK    0X00000100

#define RPU_RPU_1_ISR_DDATA_FAT_SHIFT   7
#define RPU_RPU_1_ISR_DDATA_FAT_WIDTH   1
#define RPU_RPU_1_ISR_DDATA_FAT_MASK    0X00000080

#define RPU_RPU_1_ISR_TCM_LST_FAT_SHIFT   6
#define RPU_RPU_1_ISR_TCM_LST_FAT_WIDTH   1
#define RPU_RPU_1_ISR_TCM_LST_FAT_MASK    0X00000040

#define RPU_RPU_1_ISR_TCM_PREFETCH_FAT_SHIFT   5
#define RPU_RPU_1_ISR_TCM_PREFETCH_FAT_WIDTH   1
#define RPU_RPU_1_ISR_TCM_PREFETCH_FAT_MASK    0X00000020

#define RPU_RPU_1_ISR_DDATA_CE_SHIFT   4
#define RPU_RPU_1_ISR_DDATA_CE_WIDTH   1
#define RPU_RPU_1_ISR_DDATA_CE_MASK    0X00000010

#define RPU_RPU_1_ISR_DTAG_DIRTY_CE_SHIFT   3
#define RPU_RPU_1_ISR_DTAG_DIRTY_CE_WIDTH   1
#define RPU_RPU_1_ISR_DTAG_DIRTY_CE_MASK    0X00000008

#define RPU_RPU_1_ISR_IDATA_CE_SHIFT   2
#define RPU_RPU_1_ISR_IDATA_CE_WIDTH   1
#define RPU_RPU_1_ISR_IDATA_CE_MASK    0X00000004

#define RPU_RPU_1_ISR_ITAG_CE_SHIFT   1
#define RPU_RPU_1_ISR_ITAG_CE_WIDTH   1
#define RPU_RPU_1_ISR_ITAG_CE_MASK    0X00000002

#define RPU_RPU_1_ISR_APB_ERR_SHIFT   0
#define RPU_RPU_1_ISR_APB_ERR_WIDTH   1
#define RPU_RPU_1_ISR_APB_ERR_MASK    0X00000001

/**
 * Register: RPU_RPU_1_IMR
 */
#define RPU_RPU_1_IMR    ( ( RPU_BASEADDR ) + 0X00000218 )

#define RPU_RPU_1_IMR_FPUFC_SHIFT   24
#define RPU_RPU_1_IMR_FPUFC_WIDTH   1
#define RPU_RPU_1_IMR_FPUFC_MASK    0X01000000

#define RPU_RPU_1_IMR_FPOFC_SHIFT   23
#define RPU_RPU_1_IMR_FPOFC_WIDTH   1
#define RPU_RPU_1_IMR_FPOFC_MASK    0X00800000

#define RPU_RPU_1_IMR_FPIXC_SHIFT   22
#define RPU_RPU_1_IMR_FPIXC_WIDTH   1
#define RPU_RPU_1_IMR_FPIXC_MASK    0X00400000

#define RPU_RPU_1_IMR_FPIOC_SHIFT   21
#define RPU_RPU_1_IMR_FPIOC_WIDTH   1
#define RPU_RPU_1_IMR_FPIOC_MASK    0X00200000

#define RPU_RPU_1_IMR_FPIDC_SHIFT   20
#define RPU_RPU_1_IMR_FPIDC_WIDTH   1
#define RPU_RPU_1_IMR_FPIDC_MASK    0X00100000

#define RPU_RPU_1_IMR_FPDZC_SHIFT   19
#define RPU_RPU_1_IMR_FPDZC_WIDTH   1
#define RPU_RPU_1_IMR_FPDZC_MASK    0X00080000

#define RPU_RPU_1_IMR_TCM_ASLV_CE_SHIFT   18
#define RPU_RPU_1_IMR_TCM_ASLV_CE_WIDTH   1
#define RPU_RPU_1_IMR_TCM_ASLV_CE_MASK    0X00040000

#define RPU_RPU_1_IMR_TCM_ASLV_FAT_SHIFT   17
#define RPU_RPU_1_IMR_TCM_ASLV_FAT_WIDTH   1
#define RPU_RPU_1_IMR_TCM_ASLV_FAT_MASK    0X00020000

#define RPU_RPU_1_IMR_TCM_LST_CE_SHIFT   16
#define RPU_RPU_1_IMR_TCM_LST_CE_WIDTH   1
#define RPU_RPU_1_IMR_TCM_LST_CE_MASK    0X00010000

#define RPU_RPU_1_IMR_TCM_PREFETCH_CE_SHIFT   15
#define RPU_RPU_1_IMR_TCM_PREFETCH_CE_WIDTH   1
#define RPU_RPU_1_IMR_TCM_PREFETCH_CE_MASK    0X00008000

#define RPU_RPU_1_IMR_B1TCM_CE_SHIFT   14
#define RPU_RPU_1_IMR_B1TCM_CE_WIDTH   1
#define RPU_RPU_1_IMR_B1TCM_CE_MASK    0X00004000

#define RPU_RPU_1_IMR_B0TCM_CE_SHIFT   13
#define RPU_RPU_1_IMR_B0TCM_CE_WIDTH   1
#define RPU_RPU_1_IMR_B0TCM_CE_MASK    0X00002000

#define RPU_RPU_1_IMR_ATCM_CE_SHIFT   12
#define RPU_RPU_1_IMR_ATCM_CE_WIDTH   1
#define RPU_RPU_1_IMR_ATCM_CE_MASK    0X00001000

#define RPU_RPU_1_IMR_B1TCM_UE_SHIFT   11
#define RPU_RPU_1_IMR_B1TCM_UE_WIDTH   1
#define RPU_RPU_1_IMR_B1TCM_UE_MASK    0X00000800

#define RPU_RPU_1_IMR_B0TCM_UE_SHIFT   10
#define RPU_RPU_1_IMR_B0TCM_UE_WIDTH   1
#define RPU_RPU_1_IMR_B0TCM_UE_MASK    0X00000400

#define RPU_RPU_1_IMR_ATCM_UE_SHIFT   9
#define RPU_RPU_1_IMR_ATCM_UE_WIDTH   1
#define RPU_RPU_1_IMR_ATCM_UE_MASK    0X00000200

#define RPU_RPU_1_IMR_DTAG_DIRTY_FAT_SHIFT   8
#define RPU_RPU_1_IMR_DTAG_DIRTY_FAT_WIDTH   1
#define RPU_RPU_1_IMR_DTAG_DIRTY_FAT_MASK    0X00000100

#define RPU_RPU_1_IMR_DDATA_FAT_SHIFT   7
#define RPU_RPU_1_IMR_DDATA_FAT_WIDTH   1
#define RPU_RPU_1_IMR_DDATA_FAT_MASK    0X00000080

#define RPU_RPU_1_IMR_TCM_LST_FAT_SHIFT   6
#define RPU_RPU_1_IMR_TCM_LST_FAT_WIDTH   1
#define RPU_RPU_1_IMR_TCM_LST_FAT_MASK    0X00000040

#define RPU_RPU_1_IMR_TCM_PREFETCH_FAT_SHIFT   5
#define RPU_RPU_1_IMR_TCM_PREFETCH_FAT_WIDTH   1
#define RPU_RPU_1_IMR_TCM_PREFETCH_FAT_MASK    0X00000020

#define RPU_RPU_1_IMR_DDATA_CE_SHIFT   4
#define RPU_RPU_1_IMR_DDATA_CE_WIDTH   1
#define RPU_RPU_1_IMR_DDATA_CE_MASK    0X00000010

#define RPU_RPU_1_IMR_DTAG_DIRTY_CE_SHIFT   3
#define RPU_RPU_1_IMR_DTAG_DIRTY_CE_WIDTH   1
#define RPU_RPU_1_IMR_DTAG_DIRTY_CE_MASK    0X00000008

#define RPU_RPU_1_IMR_IDATA_CE_SHIFT   2
#define RPU_RPU_1_IMR_IDATA_CE_WIDTH   1
#define RPU_RPU_1_IMR_IDATA_CE_MASK    0X00000004

#define RPU_RPU_1_IMR_ITAG_CE_SHIFT   1
#define RPU_RPU_1_IMR_ITAG_CE_WIDTH   1
#define RPU_RPU_1_IMR_ITAG_CE_MASK    0X00000002

#define RPU_RPU_1_IMR_APB_ERR_SHIFT   0
#define RPU_RPU_1_IMR_APB_ERR_WIDTH   1
#define RPU_RPU_1_IMR_APB_ERR_MASK    0X00000001

/**
 * Register: RPU_RPU_1_IEN
 */
#define RPU_RPU_1_IEN    ( ( RPU_BASEADDR ) + 0X0000021C )

#define RPU_RPU_1_IEN_FPUFC_SHIFT   24
#define RPU_RPU_1_IEN_FPUFC_WIDTH   1
#define RPU_RPU_1_IEN_FPUFC_MASK    0X01000000

#define RPU_RPU_1_IEN_FPOFC_SHIFT   23
#define RPU_RPU_1_IEN_FPOFC_WIDTH   1
#define RPU_RPU_1_IEN_FPOFC_MASK    0X00800000

#define RPU_RPU_1_IEN_FPIXC_SHIFT   22
#define RPU_RPU_1_IEN_FPIXC_WIDTH   1
#define RPU_RPU_1_IEN_FPIXC_MASK    0X00400000

#define RPU_RPU_1_IEN_FPIOC_SHIFT   21
#define RPU_RPU_1_IEN_FPIOC_WIDTH   1
#define RPU_RPU_1_IEN_FPIOC_MASK    0X00200000

#define RPU_RPU_1_IEN_FPIDC_SHIFT   20
#define RPU_RPU_1_IEN_FPIDC_WIDTH   1
#define RPU_RPU_1_IEN_FPIDC_MASK    0X00100000

#define RPU_RPU_1_IEN_FPDZC_SHIFT   19
#define RPU_RPU_1_IEN_FPDZC_WIDTH   1
#define RPU_RPU_1_IEN_FPDZC_MASK    0X00080000

#define RPU_RPU_1_IEN_TCM_ASLV_CE_SHIFT   18
#define RPU_RPU_1_IEN_TCM_ASLV_CE_WIDTH   1
#define RPU_RPU_1_IEN_TCM_ASLV_CE_MASK    0X00040000

#define RPU_RPU_1_IEN_TCM_ASLV_FAT_SHIFT   17
#define RPU_RPU_1_IEN_TCM_ASLV_FAT_WIDTH   1
#define RPU_RPU_1_IEN_TCM_ASLV_FAT_MASK    0X00020000

#define RPU_RPU_1_IEN_TCM_LST_CE_SHIFT   16
#define RPU_RPU_1_IEN_TCM_LST_CE_WIDTH   1
#define RPU_RPU_1_IEN_TCM_LST_CE_MASK    0X00010000

#define RPU_RPU_1_IEN_TCM_PREFETCH_CE_SHIFT   15
#define RPU_RPU_1_IEN_TCM_PREFETCH_CE_WIDTH   1
#define RPU_RPU_1_IEN_TCM_PREFETCH_CE_MASK    0X00008000

#define RPU_RPU_1_IEN_B1TCM_CE_SHIFT   14
#define RPU_RPU_1_IEN_B1TCM_CE_WIDTH   1
#define RPU_RPU_1_IEN_B1TCM_CE_MASK    0X00004000

#define RPU_RPU_1_IEN_B0TCM_CE_SHIFT   13
#define RPU_RPU_1_IEN_B0TCM_CE_WIDTH   1
#define RPU_RPU_1_IEN_B0TCM_CE_MASK    0X00002000

#define RPU_RPU_1_IEN_ATCM_CE_SHIFT   12
#define RPU_RPU_1_IEN_ATCM_CE_WIDTH   1
#define RPU_RPU_1_IEN_ATCM_CE_MASK    0X00001000

#define RPU_RPU_1_IEN_B1TCM_UE_SHIFT   11
#define RPU_RPU_1_IEN_B1TCM_UE_WIDTH   1
#define RPU_RPU_1_IEN_B1TCM_UE_MASK    0X00000800

#define RPU_RPU_1_IEN_B0TCM_UE_SHIFT   10
#define RPU_RPU_1_IEN_B0TCM_UE_WIDTH   1
#define RPU_RPU_1_IEN_B0TCM_UE_MASK    0X00000400

#define RPU_RPU_1_IEN_ATCM_UE_SHIFT   9
#define RPU_RPU_1_IEN_ATCM_UE_WIDTH   1
#define RPU_RPU_1_IEN_ATCM_UE_MASK    0X00000200

#define RPU_RPU_1_IEN_DTAG_DIRTY_FAT_SHIFT   8
#define RPU_RPU_1_IEN_DTAG_DIRTY_FAT_WIDTH   1
#define RPU_RPU_1_IEN_DTAG_DIRTY_FAT_MASK    0X00000100

#define RPU_RPU_1_IEN_DDATA_FAT_SHIFT   7
#define RPU_RPU_1_IEN_DDATA_FAT_WIDTH   1
#define RPU_RPU_1_IEN_DDATA_FAT_MASK    0X00000080

#define RPU_RPU_1_IEN_TCM_LST_FAT_SHIFT   6
#define RPU_RPU_1_IEN_TCM_LST_FAT_WIDTH   1
#define RPU_RPU_1_IEN_TCM_LST_FAT_MASK    0X00000040

#define RPU_RPU_1_IEN_TCM_PREFETCH_FAT_SHIFT   5
#define RPU_RPU_1_IEN_TCM_PREFETCH_FAT_WIDTH   1
#define RPU_RPU_1_IEN_TCM_PREFETCH_FAT_MASK    0X00000020

#define RPU_RPU_1_IEN_DDATA_CE_SHIFT   4
#define RPU_RPU_1_IEN_DDATA_CE_WIDTH   1
#define RPU_RPU_1_IEN_DDATA_CE_MASK    0X00000010

#define RPU_RPU_1_IEN_DTAG_DIRTY_CE_SHIFT   3
#define RPU_RPU_1_IEN_DTAG_DIRTY_CE_WIDTH   1
#define RPU_RPU_1_IEN_DTAG_DIRTY_CE_MASK    0X00000008

#define RPU_RPU_1_IEN_IDATA_CE_SHIFT   2
#define RPU_RPU_1_IEN_IDATA_CE_WIDTH   1
#define RPU_RPU_1_IEN_IDATA_CE_MASK    0X00000004

#define RPU_RPU_1_IEN_ITAG_CE_SHIFT   1
#define RPU_RPU_1_IEN_ITAG_CE_WIDTH   1
#define RPU_RPU_1_IEN_ITAG_CE_MASK    0X00000002

#define RPU_RPU_1_IEN_APB_ERR_SHIFT   0
#define RPU_RPU_1_IEN_APB_ERR_WIDTH   1
#define RPU_RPU_1_IEN_APB_ERR_MASK    0X00000001

/**
 * Register: RPU_RPU_1_IDS
 */
#define RPU_RPU_1_IDS    ( ( RPU_BASEADDR ) + 0X00000220 )

#define RPU_RPU_1_IDS_FPUFC_SHIFT   24
#define RPU_RPU_1_IDS_FPUFC_WIDTH   1
#define RPU_RPU_1_IDS_FPUFC_MASK    0X01000000

#define RPU_RPU_1_IDS_FPOFC_SHIFT   23
#define RPU_RPU_1_IDS_FPOFC_WIDTH   1
#define RPU_RPU_1_IDS_FPOFC_MASK    0X00800000

#define RPU_RPU_1_IDS_FPIXC_SHIFT   22
#define RPU_RPU_1_IDS_FPIXC_WIDTH   1
#define RPU_RPU_1_IDS_FPIXC_MASK    0X00400000

#define RPU_RPU_1_IDS_FPIOC_SHIFT   21
#define RPU_RPU_1_IDS_FPIOC_WIDTH   1
#define RPU_RPU_1_IDS_FPIOC_MASK    0X00200000

#define RPU_RPU_1_IDS_FPIDC_SHIFT   20
#define RPU_RPU_1_IDS_FPIDC_WIDTH   1
#define RPU_RPU_1_IDS_FPIDC_MASK    0X00100000

#define RPU_RPU_1_IDS_FPDZC_SHIFT   19
#define RPU_RPU_1_IDS_FPDZC_WIDTH   1
#define RPU_RPU_1_IDS_FPDZC_MASK    0X00080000

#define RPU_RPU_1_IDS_TCM_ASLV_CE_SHIFT   18
#define RPU_RPU_1_IDS_TCM_ASLV_CE_WIDTH   1
#define RPU_RPU_1_IDS_TCM_ASLV_CE_MASK    0X00040000

#define RPU_RPU_1_IDS_TCM_ASLV_FAT_SHIFT   17
#define RPU_RPU_1_IDS_TCM_ASLV_FAT_WIDTH   1
#define RPU_RPU_1_IDS_TCM_ASLV_FAT_MASK    0X00020000

#define RPU_RPU_1_IDS_TCM_LST_CE_SHIFT   16
#define RPU_RPU_1_IDS_TCM_LST_CE_WIDTH   1
#define RPU_RPU_1_IDS_TCM_LST_CE_MASK    0X00010000

#define RPU_RPU_1_IDS_TCM_PREFETCH_CE_SHIFT   15
#define RPU_RPU_1_IDS_TCM_PREFETCH_CE_WIDTH   1
#define RPU_RPU_1_IDS_TCM_PREFETCH_CE_MASK    0X00008000

#define RPU_RPU_1_IDS_B1TCM_CE_SHIFT   14
#define RPU_RPU_1_IDS_B1TCM_CE_WIDTH   1
#define RPU_RPU_1_IDS_B1TCM_CE_MASK    0X00004000

#define RPU_RPU_1_IDS_B0TCM_CE_SHIFT   13
#define RPU_RPU_1_IDS_B0TCM_CE_WIDTH   1
#define RPU_RPU_1_IDS_B0TCM_CE_MASK    0X00002000

#define RPU_RPU_1_IDS_ATCM_CE_SHIFT   12
#define RPU_RPU_1_IDS_ATCM_CE_WIDTH   1
#define RPU_RPU_1_IDS_ATCM_CE_MASK    0X00001000

#define RPU_RPU_1_IDS_B1TCM_UE_SHIFT   11
#define RPU_RPU_1_IDS_B1TCM_UE_WIDTH   1
#define RPU_RPU_1_IDS_B1TCM_UE_MASK    0X00000800

#define RPU_RPU_1_IDS_B0TCM_UE_SHIFT   10
#define RPU_RPU_1_IDS_B0TCM_UE_WIDTH   1
#define RPU_RPU_1_IDS_B0TCM_UE_MASK    0X00000400

#define RPU_RPU_1_IDS_ATCM_UE_SHIFT   9
#define RPU_RPU_1_IDS_ATCM_UE_WIDTH   1
#define RPU_RPU_1_IDS_ATCM_UE_MASK    0X00000200

#define RPU_RPU_1_IDS_DTAG_DIRTY_FAT_SHIFT   8
#define RPU_RPU_1_IDS_DTAG_DIRTY_FAT_WIDTH   1
#define RPU_RPU_1_IDS_DTAG_DIRTY_FAT_MASK    0X00000100

#define RPU_RPU_1_IDS_DDATA_FAT_SHIFT   7
#define RPU_RPU_1_IDS_DDATA_FAT_WIDTH   1
#define RPU_RPU_1_IDS_DDATA_FAT_MASK    0X00000080

#define RPU_RPU_1_IDS_TCM_LST_FAT_SHIFT   6
#define RPU_RPU_1_IDS_TCM_LST_FAT_WIDTH   1
#define RPU_RPU_1_IDS_TCM_LST_FAT_MASK    0X00000040

#define RPU_RPU_1_IDS_TCM_PREFETCH_FAT_SHIFT   5
#define RPU_RPU_1_IDS_TCM_PREFETCH_FAT_WIDTH   1
#define RPU_RPU_1_IDS_TCM_PREFETCH_FAT_MASK    0X00000020

#define RPU_RPU_1_IDS_DDATA_CE_SHIFT   4
#define RPU_RPU_1_IDS_DDATA_CE_WIDTH   1
#define RPU_RPU_1_IDS_DDATA_CE_MASK    0X00000010

#define RPU_RPU_1_IDS_DTAG_DIRTY_CE_SHIFT   3
#define RPU_RPU_1_IDS_DTAG_DIRTY_CE_WIDTH   1
#define RPU_RPU_1_IDS_DTAG_DIRTY_CE_MASK    0X00000008

#define RPU_RPU_1_IDS_IDATA_CE_SHIFT   2
#define RPU_RPU_1_IDS_IDATA_CE_WIDTH   1
#define RPU_RPU_1_IDS_IDATA_CE_MASK    0X00000004

#define RPU_RPU_1_IDS_ITAG_CE_SHIFT   1
#define RPU_RPU_1_IDS_ITAG_CE_WIDTH   1
#define RPU_RPU_1_IDS_ITAG_CE_MASK    0X00000002

#define RPU_RPU_1_IDS_APB_ERR_SHIFT   0
#define RPU_RPU_1_IDS_APB_ERR_WIDTH   1
#define RPU_RPU_1_IDS_APB_ERR_MASK    0X00000001

/**
 * Register: RPU_RPU_1_SLV_BASE
 */
#define RPU_RPU_1_SLV_BASE    ( ( RPU_BASEADDR ) + 0X00000224 )

#define RPU_RPU_1_SLV_BASE_ADDR_SHIFT   0
#define RPU_RPU_1_SLV_BASE_ADDR_WIDTH   8
#define RPU_RPU_1_SLV_BASE_ADDR_MASK    0X000000FF

/**
 * Register: RPU_RPU_1_AXI_OVER
 */
#define RPU_RPU_1_AXI_OVER    ( ( RPU_BASEADDR ) + 0X00000228 )

#define RPU_RPU_1_AXI_OVER_AWCACHE_SHIFT   6
#define RPU_RPU_1_AXI_OVER_AWCACHE_WIDTH   4
#define RPU_RPU_1_AXI_OVER_AWCACHE_MASK    0X000003C0

#define RPU_RPU_1_AXI_OVER_ARCACHE_SHIFT   2
#define RPU_RPU_1_AXI_OVER_ARCACHE_WIDTH   4
#define RPU_RPU_1_AXI_OVER_ARCACHE_MASK    0X0000003C

#define RPU_RPU_1_AXI_OVER_AWCACHE_EN_SHIFT   1
#define RPU_RPU_1_AXI_OVER_AWCACHE_EN_WIDTH   1
#define RPU_RPU_1_AXI_OVER_AWCACHE_EN_MASK    0X00000002

#define RPU_RPU_1_AXI_OVER_ARCACHE_EN_SHIFT   0
#define RPU_RPU_1_AXI_OVER_ARCACHE_EN_WIDTH   1
#define RPU_RPU_1_AXI_OVER_ARCACHE_EN_MASK    0X00000001

#ifdef __cplusplus
}
#endif


#endif /* _PM_RPU_H_ */
